%define name rvm
%define version 1.10
%define release 1mdk

%define major 1

%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary: RVM library
Name: %name
Version: %version
Release: %release
Source: %name-%{version}.tar.bz2
Url: http://www.coda.cs.cmu.edu/doc/html/index.html
License: LGPL
Buildroot: %_tmppath/%name-buildroot
BuildRequires:	liblwp-devel
Group: Development/Other

%description
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed filesystem.

%package -n %libname
Summary: RVM tools
Group: Development/Other
Provides: %libname = %version-%release

%description -n %libname
The RVM persistent recoverable memory library. The RVM library is used by
the Coda distributed filesystem.

%package -n %libnamedev
Summary: RVM library development files
Group: Development/Other
Requires: %libname = %version
Provides: librvm-devel = %version-%release

%description -n %libnamedev
Headers and static libraries for developing programs using the RVM library.
The RVM library is used by the Coda distributed filesystem.

%package tools
Summary: RVM tools
Group: Development/Other

%description tools
Userspace tools to initialize and manipulate RVM log and data segments.
The RVM library is used by the Coda distributed filesystem.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make

%install
%makeinstall
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librvm.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librvmlwp.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/libseg.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librds.so.*
chmod 755 $RPM_BUILD_ROOT%{_libdir}/librdslwp.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %libname

%postun -p /sbin/ldconfig -n %libname

%files -n %libname
%defattr(-,root,root)
%doc COPYING NEWS INSTALL
%{_libdir}/librvm.so.*
%{_libdir}/librvmlwp.so.*
%{_libdir}/libseg.so.*
%{_libdir}/librds.so.*
%{_libdir}/librdslwp.so.*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/librvm.la
%{_libdir}/librvm.a
%{_libdir}/librvm.so
%{_libdir}/librvmlwp.la
%{_libdir}/librvmlwp.a
%{_libdir}/librvmlwp.so
%{_libdir}/libseg.la
%{_libdir}/libseg.a
%{_libdir}/libseg.so
%{_libdir}/librds.la
%{_libdir}/librds.a
%{_libdir}/librds.so
%{_libdir}/librdslwp.la
%{_libdir}/librdslwp.a
%{_libdir}/librdslwp.so
%dir %{_includedir}/rvm
%{_includedir}/rvm/rvm.h
%{_includedir}/rvm/rvm_statistics.h
%{_includedir}/rvm/rvm_segment.h
%{_includedir}/rvm/rds.h

%files tools
%defattr(-,root,root)
%{_sbindir}/rvmutl
%{_sbindir}/rdsinit

%changelog
* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 1.10-1mdk
- 1.10

* Wed Jan 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8
- use mklibname

* Sat Dec 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.7-1mdk
- 1.7
- Fix Requires/Provides

* Thu Mar 21 2002 Florin <florin@mandrakesoft.com> 1.6-4mdk
- rebuild
- add the url tag

* Sat Nov  3 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6-3mdk
- BuildRequires: liblwp-devel

* Fri Aug 24 2001 Florin Grad <florin@mandrakesoft.com> 1.6-2mdk
- remove the require on rvm to rvm-tools

* Thu Aug 23 2001 Florin Grad <florin@mandrakesoft.com> 1.6-1mdk
- 1.6
- add the doc section

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-2mdk
- clean spec
- macros

* Thu Nov 16 2000 Florin Grad <florin@mandrakesoft.com> 1.2-1mdk
- 1.2.1
* Thu Aug 31 2000 Florin Grad <florin@mandrakesoft.com> 1.1-2mdk
- adding the macros
* Fri Jul 7 2000 Florin Grad <florin@mandrakesoft.com> 1.1-1mdk
- First attempt.
